Skip to main content
POST
/
api
/
v1
/
webhooks
/
{id}
/
test
Test a webhook
curl --request POST \
  --url https://quizquail.com/api/v1/webhooks/{id}/test \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://quizquail.com/api/v1/webhooks/{id}/test"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://quizquail.com/api/v1/webhooks/{id}/test', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "event": "<string>",
    "status": "<string>",
    "attempts": 123,
    "lastAttemptAt": "2023-11-07T05:31:56Z",
    "responseStatus": 123,
    "responseBody": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "payload": "<unknown>"
  }
}
{
  "type": "https://quizquail.com/problems/validation-error",
  "title": "Validation Error",
  "status": 400,
  "detail": "Request validation failed",
  "instance": "<string>",
  "errors": [
    {
      "field": "title",
      "message": "Title is required",
      "code": "too_small"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Path Parameters

id
string<uuid>
required

Resource UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Test delivery result

data
object
required